Bug 5025 - discrepancy between opac doc-head-open.inc and staff doc-head-open.inc
Summary: discrepancy between opac doc-head-open.inc and staff doc-head-open.inc
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: M. Tompsett
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-16 12:31 UTC by Galen Charlton
Modified: 2016-12-05 21:23 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 5025: Specifying title on each individual page in the OPAC rather than in the doc-head-open.inc and doc-head-close.inc (52.97 KB, patch)
2015-06-09 22:05 UTC, Aleisha Amohia
Details | Diff | Splinter Review
My rebase attempt (53.24 KB, patch)
2015-06-16 15:17 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 5025: My rebase attempt (56.19 KB, patch)
2015-06-16 19:21 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5025: discrepancy between opac doc-head-open.inc and staff doc-head-open.inc (55.45 KB, patch)
2015-06-17 17:58 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 5025: discrepancy between opac doc-head-open.inc and staff doc-head-open.inc (56.37 KB, patch)
2015-06-18 11:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2010-07-16 12:31:26 UTC
The OPAC version includes a starting <title> tag, the intranet version does not.  Hardly earth-shattering, but if there's no reason for the difference, reconciling them would might be a nice activity for a rainy day when there are no more important bugs to fix.
Comment 1 Galen Charlton 2010-10-30 03:04:01 UTC
And there's a similar discrepancy in doc-head-close.inc.  There are rather fewer OPAC templates, so for the sake of expedience, the intranet version should probably win out.

Living in sunny Florida as I do, I don't expect to ever have a rainy day, so I'm leaving this in your hands. ;)
Comment 2 Katrin Fischer 2015-06-06 20:02:37 UTC
I confirm this is still valid.
Comment 3 Aleisha Amohia 2015-06-09 22:05:25 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-06-10 05:33:54 UTC
Sorry, could not apply:

Applying: Bug 5025: Specifying title on each individual page in the OPAC rather than in the doc-head-open.inc and doc-head-close.inc
fatal: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-authorities-home.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 5 M. Tompsett 2015-06-16 04:44:35 UTC
I agree with the idea of moving <title> and </title> out of two separate include files into the actual template file. Congratulations on such an undertaking, Aleisha.

However, after looking over the 63 modified files, I found a few that I don't agree with the placement of </title>.

Given that this does not apply, and that there is yet no "do it from the GUI" test plan, I'll be submitting a patch that I'm happier with along with a full test plan including how to construct URLs to test. However, I need sleep before constructing the test plan. :)
Comment 6 M. Tompsett 2015-06-16 04:45:58 UTC
I'm updating the assigned to, so that Aleisha is aware of the status of this, since this is currently her patch here.
Comment 7 M. Tompsett 2015-06-16 15:17:06 UTC Comment hidden (obsolete)
Comment 8 M. Tompsett 2015-06-16 15:44:35 UTC
koha-tmpl/opac-tmpl/bootstrap/en/modules/ilsdi.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-course-reserves.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-downloadshelf.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-full-serial-issues.tt
 -- affected by master update
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
 -- affected by master update
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-messaging.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-results-grouped.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-results.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-sendbasketform.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-shelves.tt
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-suggestions.tt

These are where mine is different. A couple missing ['s. </title>'s in a different position. Those affected by a master update are otherwise the same.

Now to generate a test plan.
Comment 9 M. Tompsett 2015-06-16 19:21:11 UTC Comment hidden (obsolete)
Comment 10 M. Tompsett 2015-06-16 19:22:20 UTC
I apologize, but generating a test plan for 63 changed files is time consuming. Anyone able to help with the FIXME's in the test plan, please do so. :)
Comment 11 Aleisha Amohia 2015-06-17 04:54:56 UTC
Thanks for all your good points M. Tompsett! 
Can someone please test this patch?
Will make mine obselete and set this to Needs Signoff
Comment 12 Bernardo Gonzalez Kriegel 2015-06-17 17:58:47 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2015-06-18 11:15:20 UTC
Created attachment 40275 [details] [review]
Bug 5025: discrepancy between opac doc-head-open.inc and staff doc-head-open.inc

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Tested most pages, inspected all of them.
No errors

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 14 Tomás Cohen Arazi 2015-06-22 20:09:30 UTC
Patch pushed to master.

Thanks Mark!
Comment 15 M. Tompsett 2015-06-22 21:29:35 UTC
-- And Aleisha Amohia. :)
Comment 16 Chris Cormack 2015-07-09 22:36:53 UTC
Pushed to 3.20.x will be in 3.20.2